import Panel from "../../views/Panel";

export default class TurnTableIDouPanel extends Panel {
	public closeBtn: eui.Button;
	public prizeImg: eui.Image;
	public prizeName: eui.Label;
	public ok_btn: eui.Button;

	constructor(data?) {
		super(data);

	}
	initEvents() {
		this.ok_btn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.touch_tap_ok_btn, this);
		this.closeBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
	}

	onTouchTap(){
		super.onTouchTap();
	}

	touch_tap_ok_btn() {

	}

	removeEvents() {
		this.ok_btn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.touch_tap_ok_btn, this);
		this.closeBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
	}



	protected onSkinComplete(): void {
		super.onSkinComplete();

		this.preLoadRes();
		this.onLoad();

	}

	protected onLoad(): void {
		this.initUI();
	}

	private initUI(): void {

	}

	protected async preLoadRes() {

		return new Promise(function (resolve, reject) {
			resolve();
		});
	}

	public get skinKey() { return 'TurnTableIDouPanel' }
	public get groupName() { return 'turnTableIDou_panel' }
}